GET /api/v202307/ghg/factorCategory

Retrieves all GHG emission factor categories

GetGHGFactorCategoriesV202307
Use this endpoint to get the list of categories used to classify emission factors (e.g., “Electricity”, “Natural Gas”, “Fleet”). Requires GHG license.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

GHGFactorCategoryV202210
Property Description Type
factorCategoryId The Factor Category identifier integer (int32)
factorCategoryInfo The Factor Category Info string
Example Response application/json
[
  {    "factorCategoryId": 1,    "factorCategoryInfo": "string"
  }
]